use embedded_graphics::{
    prelude::*,
    mono_font::{ascii::FONT_7X13, ascii::FONT_10X20, MonoTextStyle},
    pixelcolor::BinaryColor,
    text::{Text, Alignment},
};


/// Enum to make clear the stage of failure of the display
#[derive(Debug)]
pub enum DisplayError {
    SetupError(display_interface::DisplayError),
    DrawingError,
    FlushError,
}